using System;
using BeWo.BeWoDirekt;
using BeWo.Report;
using BeWo.Report.ReportObjects;
using BS.Shared.Core;


namespace BeWo.BeWoDirekt
{
	[IDSpecificClass(Identifier = "Teamstundenkonto")]
	public partial class Teamstundenkonto : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<MitarbeiterstundenkontoRO>
	{


		public Teamstundenkonto()
		{
			InitializeComponent();
		}

		public void SetReportDataSource(MitarbeiterstundenkontoRO pRO)
		{
			MitarbeiterstundenkontoBerechnung msb = new BeWoDirektMitarbeiterstundenkontoBerechnung();
			msb.CreateReport(pRO);

			this.bindingSource1.DataSource = pRO;
		}

	}
}
